import { Suites } from '../types';
export declare type NightWatchTestSuite = {
    before?: () => void;
    beforeEach?: () => void;
    after?: () => void;
    afterEach?: () => void;
    '@tags'?: string[];
    '@disabled'?: boolean;
} & {
    [testName: string]: (() => void);
};
export declare type DirNode = {
    [key: string]: NightWatchTestSuite | DirNode;
};
/**
 * Assume any key with a whitespace is a test case
 * (i.e. two or more words making up a test case sentence)
 */
export declare const isTestCaseName: (str: string) => boolean;
export declare const isTestSuite: (obj: object) => obj is NightWatchTestSuite;
export declare const getTestNames: (testSuite: NightWatchTestSuite) => string[];
export declare const parseChildNode: (node: DirNode | NightWatchTestSuite) => string[] | Suites;
export declare const parseDirectoryNode: (dirNode: DirNode) => Suites;
export declare const parse: (dirNode: DirNode) => Suites;
