"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("../actions/config");
const getDefaultConfig_1 = require("../config/getDefaultConfig");
const config = (state = getDefaultConfig_1.getDefaultConfig(), action) => {
    switch (action.type) {
        case config_1.Action.SET_CONFIG: {
            return {
                name: action.payload.name,
                version: action.payload.version,
                description: action.payload.description,
                homepage: action.payload.homepage,
                repository: action.payload.repository,
                configPath: action.payload.configPath,
                executablePath: action.payload.executablePath,
                suiteDirectories: action.payload.suiteDirectories,
                suites: action.payload.suites,
                environments: action.payload.environments,
                currentEnvironment: action.payload.currentEnvironment,
                currentSuite: action.payload.currentSuite,
                error: action.payload.error
            };
        }
        case config_1.Action.SET_CURRENT_SUITE: {
            return Object.assign(Object.assign({}, state), { currentSuite: action.payload.currentSuite });
        }
        case config_1.Action.CLEAR_CURRENT_SUITE: {
            return Object.assign(Object.assign({}, state), { currentSuite: undefined });
        }
        case config_1.Action.SET_CURRENT_ENVIRONMENT: {
            return Object.assign(Object.assign({}, state), { currentEnvironment: action.payload.currentEnvironment });
        }
        default: {
            return state;
        }
    }
};
exports.default = config;
//# sourceMappingURL=config.js.map