"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHeader = void 0;
const chalk_1 = __importDefault(require("chalk"));
const reselect_1 = require("reselect");
const header_1 = require("../utils/header");
const getHeader = reselect_1.createSelector(state => state.config.name, state => state.config.version, state => state.config.description, (name, version, description) => {
    const displayName = name.split('-').map(s => s.toUpperCase()).join(' ');
    return chalk_1.default.cyan(header_1.header({
        title: `${displayName} v${version}`,
        subtitle: description
    }));
});
exports.getHeader = getHeader;
//# sourceMappingURL=getHeader.js.map