import { Store as ReduxStore, AnyAction } from 'redux';
import { ThunkDispatch } from 'redux-thunk';
export declare type TestFailure = {
    suiteName: string;
    testName: string;
};
export declare type TestFailuresBySuite = {
    [suite: string]: TestFailure;
};
export declare type Suites = {
    [suiteName: string]: string[];
};
export declare type ConfigOptions = {
    configPath?: string;
    executablePath?: string;
    currentEnvironment?: string;
    currentSuite?: string;
};
export declare type Config = {
    name: string;
    version: string;
    description: string;
    homepage: string;
    repository: string;
    configPath: string;
    executablePath: string;
    environments: {
        [name: string]: true;
    };
    currentEnvironment: string;
    suiteDirectories: string[];
    suites: Suites;
    currentSuite?: string;
    error?: string;
};
export declare type ActionsLog = {
    [datetime: string]: AnyAction;
};
export declare type Store = (ReduxStore<State, AnyAction> & {
    dispatch: ThunkDispatch<State, {}, AnyAction>;
});
export declare type State = {
    config: Config;
    testFailures: TestFailuresBySuite;
    actions: ActionsLog;
};
export declare type PackageJSON = {
    name: string;
    version: string;
    description: string;
    homepage: string;
    repository: string;
};
export declare type ExecResult = {
    code: number;
    stdout: string;
    stderr: string;
};
export declare type ExecArgs = {
    [key: string]: string | undefined;
};
